--[[----------------------------------------------------------------------------

Copyright 2021 John R. Ellis.

------------------------------------------------------------------------------]]

return {
    LrSdkVersion = 11.0,
    LrSdkMinimumVersion = 11.0, 
    LrToolkitIdentifier = 'com.johnrellis.copysettings',
    LrPluginName = "Copy Settings",
    LrPluginInfoProvider = "PluginInfoProvider.lua",
    LrPluginInfoUrl = "http://www.johnrellis.com/lightroom/copysettings.htm",
    LrLibraryMenuItems = {
        {title = "&Copy Settings", file = "Copy.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Paste Settings", file = "Paste.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Synchronize Settings", file = "Sync.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Invert Mask", file = "Invert.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to &Add", file = "ConvertToAdd.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to S&ubtract", file = "ConvertToSubtract.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to I&ntersect", file = "ConvertToIntersect.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Extract Masks", file = "Extract.lua",
         enabledWhen = "anythingSelected"}},
    LrExportMenuItems = {
        {title = "&Copy Settings", file = "Copy.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Paste Settings", file = "Paste.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Synchronize Settings", file = "Sync.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Invert Mask", file = "Invert.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to &Add", file = "ConvertToAdd.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to S&ubtract", file = "ConvertToSubtract.lua",
         enabledWhen = "anythingSelected"},
        {title = "Convert to I&ntersect", file = "ConvertToIntersect.lua",
         enabledWhen = "anythingSelected"},
        {title = "&Extract Masks", file = "Extract.lua",
         enabledWhen = "anythingSelected"}},
    VERSION = {major = 1, minor = 17, revision = 0, build = 0}}
    
    